# Debian Package

**kvm-tools** package can be build from the **debian** branch of this Git repository with **git-buildpackage** and **sbuild**.

## Dependencies

Install Debian dependencies :

~~~
apt install git-buildpackage sbuild
~~~

Add your user to sbuild :

~~~
sbuild-adduser <username>
~~~

*You must logout and re-login or use `newgrp sbuild` in your current shell*

You need a schroot definition in */etc/schroot/schroot.conf*, eg :

~~~
[sid]
description=Debian sid (unstable)
directory=/srv/chroot/sid
groups=root,sbuild
root-groups=root,sbuild
aliases=unstable,default
~~~

Build the sbuild chroot :

~~~
sbuild-createchroot --include=eatmydata,ccache,gnupg unstable /srv/chroot/sid http://deb.debian.org/debian
~~~

## Build

Tag your changes respecting [Semantic Versioning](https://semver.org/).

~~~
git tag X.Y.Z
~~~

Go to **debian** branch and merge your current work :

~~~
git checkout debian
git merge master
~~~

Update Debian changelog with **dch** and commit your change :

~~~
dch -v X.Y.Z-1
git commit -m "New upstream release (X.Y.Z)"
~~~

You can now build the Debian package :

~~~
gbp buildpackage
~~~
